Bug 492012 - Speech Dispatcher fails to create /var/log/speech-dispatcher/, no logs
Speech Dispatcher fails to create /var/log/speech-dispatcher/, no logs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 19:15 EDT by Richard Schwarting
Modified: 2009-05-29 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.7-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schwarting 2009-03-24 19:15:21 EDT
Description of problem:

Either the package for speech-dispatcher is failing to create /var/log/speech-dispatcher/ or it doesn't try to make the directory itself when the directory doesn't exist.

Consequently, nothing is logged to a file.  When you start it yourself, you're told: 
"Error: can't open logging file /var/log/speech-dispatcher//speechd.log! Using stdout."

rpm -q --filesbypkg does not list the directory.  



Version-Release number of selected component (if applicable):

speech-dispatcher-0.6.6-18

How reproducible:

Always.

Steps to Reproduce:
1. install speech-dispatcher
2. /etc/init.d/speech-dispatcherd start
3. check logs
  
Actual results:

During step 2, you're told that the directory does not exist.  step 3 confirms it.

Expected results:

I would expect the directory to exist and logs to be in there.

Additional info:

If I manually create the directory, the logs appear.
Comment 1 Peter Robinson 2009-05-20 07:56:40 EDT
I've updated the package to latest release and cleaned up the spec file. This issue has been fixed. Can you please test the build in koji below and confirm its fixed your issue?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1365712
Comment 2 Fedora Update System 2009-05-20 15:52:10 EDT
speech-dispatcher-0.6.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/speech-dispatcher-0.6.7-1.fc10
Comment 3 Fedora Update System 2009-05-21 19:24:24 EDT
speech-dispatcher-0.6.7-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update speech-dispatcher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5289
Comment 4 Richard Schwarting 2009-05-24 04:40:52 EDT
The updated package does resolve this issue.  

Thank you very much!
Comment 5 Fedora Update System 2009-05-29 22:30:54 EDT
speech-dispatcher-0.6.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.